at.chipkarte.client.aum.soap

## Class AufSvtProperty

- Object
- - at.chipkarte.client.aum.soap.AufSvtProperty

-     public class AufSvtProperty
      extends Object

  Beschreibt einen am elektronischen Arbeitsunfähigkeitsmeldungsservice (AUM) teilnehmenden KVT. Rückgabewert der Funktion `IAumService.getSVTs(String)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AufSvtProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusgehzeitBis1()` Ende der Standardausgehzeit 1 des KVT.
    `String` | `getAusgehzeitBis2()` Ende der Standardausgehzeit 2 des KVT.
    `String` | `getAusgehzeitVon1()` Beginn der Standardausgehzeit 1 des KVT.
    `String` | `getAusgehzeitVon2()` Beginn der Standardausgehzeit 2 des KVT.
    `String` | `getEkvkCode()` EKVK-Code des KVT.
    `String` | `getEkvkName()` EKVK-Name des KVT.
    `String` | `getKurzbezeichnung()` Kurzbezeichnung des KVT.
    `String` | `getSvtCode()` Code des KVT.
    `Boolean` | `isAsvg()` Gibt an, ob es sich um einen GKK/BKK-Träger handelt.
    `void` | `setAsvg(Boolean isAsvg)`
    `void` | `setAusgehzeitBis1(String ausgehzeitBis1)`
    `void` | `setAusgehzeitBis2(String ausgehzeitBis2)`
    `void` | `setAusgehzeitVon1(String ausgehzeitVon1)`
    `void` | `setAusgehzeitVon2(String ausgehzeitVon2)`
    `void` | `setEkvkCode(String ekvkCode)`
    `void` | `setEkvkName(String ekvkName)`
    `void` | `setKurzbezeichnung(String kurzbezeichnung)`
    `void` | `setSvtCode(String svtCode)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AufSvtProperty

          public AufSvtProperty()

  - ### Method Detail

    - #### getAusgehzeitBis1

          public String getAusgehzeitBis1()

      Ende der Standardausgehzeit 1 des KVT.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 01 und 24
      Returns:
        Ende der Standardausgehzeit 1

    - #### setAusgehzeitBis1

          public void setAusgehzeitBis1(String ausgehzeitBis1)

    - #### getAusgehzeitBis2

          public String getAusgehzeitBis2()

      Ende der Standardausgehzeit 2 des KVT.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 01 und 24
      Returns:
        Ende der Standardausgehzeit 2

    - #### setAusgehzeitBis2

          public void setAusgehzeitBis2(String ausgehzeitBis2)

    - #### getAusgehzeitVon1

          public String getAusgehzeitVon1()

      Beginn der Standardausgehzeit 1 des KVT.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 00 und 23
      Returns:
        Beginn der Standardausgehzeit 1

    - #### setAusgehzeitVon1

          public void setAusgehzeitVon1(String ausgehzeitVon1)

    - #### getAusgehzeitVon2

          public String getAusgehzeitVon2()

      Beginn der Standardausgehzeit 2 des KVT.
      Format: 2-stellig
      mögliche Werte: ganze Stunden, zwischen 00 und 23
      Returns:
        Beginn der Standardausgehzeit 2

    - #### setAusgehzeitVon2

          public void setAusgehzeitVon2(String ausgehzeitVon2)

    - #### getEkvkCode

          public String getEkvkCode()

      EKVK-Code des KVT.
      Format: maximal 10-stellig
      Returns:
        EKVK-Code des KVT

    - #### setEkvkCode

          public void setEkvkCode(String ekvkCode)

    - #### getEkvkName

          public String getEkvkName()

      EKVK-Name des KVT.
      Format: maximal 15-stellig
      Returns:
        EKVK-Name des KVT

    - #### setEkvkName

          public void setEkvkName(String ekvkName)

    - #### isAsvg

          public Boolean isAsvg()

      Gibt an, ob es sich um einen GKK/BKK-Träger handelt.
      Returns:
        Kennzeichen, ob es sich um einen GKK/BKK-Träger handelt

    - #### setAsvg

          public void setAsvg(Boolean isAsvg)

    - #### getKurzbezeichnung

          public String getKurzbezeichnung()

      Kurzbezeichnung des KVT.
      Format: maximal 15-stellig
      Returns:
        Kurzbezeichnung des KVT

    - #### setKurzbezeichnung

          public void setKurzbezeichnung(String kurzbezeichnung)

    - #### getSvtCode

          public String getSvtCode()

      Code des KVT.
      Format: 2-stellig
      Returns:
        Code des KVT

    - #### setSvtCode

          public void setSvtCode(String svtCode)